#!/usr/bin/env node

'use strict';

var meow = require('meow');
var updateNotifier = require('update-notifier');
var pluginpub = require('./index');

var cli = meow('\n\tUsage\n\t  $ pluginpub [major | minor | patch | premajor | preminor | prepatch | prerelease | <version>] (Default: patch)\n\n\tOptions\n\t  --any-branch    Allow publishing from any branch\n\t  --skip-cleanup  Skips cleanup of node_modules\n\t  --yolo          Skips cleanup and testing\n\n\tExamples\n\t  $ pluginpub\n\t  $ pluginpub patch\n\t  $ pluginpub 1.0.2\n');

updateNotifier({ pkg: cli.pkg }).notify();

pluginpub(cli.input[0], cli.flags).then(function (pkg) {
	console.log('\n ' + pkg.name + ' ' + pkg.version + ' published');
}).catch(function (err) {
	console.error('\n' + err.message);
	process.exit(1);
});